<template>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header flex">
                    Legend
                </div>
                <div class="card-body">
                    <div v-for="(square, key) in squares"
                         :key="key"
                         class="row mb-3">
                        <div class="col-1">
                            <div class="square" :class="key"/>
                        </div>
                        <div class="col-11 flex">
                            {{ square }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Legend',
    data: () => ({
        squares: {
            green: 'Start',
            finish: 'Finish',
            yellow: 'Path route for solved maze',
            blue: 'Wall brick',
            gray: 'Empty brick',
            red: 'Unresolved path'
        }
    })
}
</script>

<style lang="less" scoped>
    .square {
        height: 50px;
        width: 50px;
        &.green {
             background-color: #00FF00;
        };
        &.finish {
            background-color: #000;
        };
        &.yellow {
            background-color: #FFFF00;
        };
        &.blue {
            background-color: #0000FF;
        };
        &.gray {
            background-color: #F0F0F0;
        };
        &.red {
            background-color: #FF0000;
        };
    }
</style>
